import React from "react";
import { Dropdown as Theme } from "../../theme";
declare class Dropdown extends React.Component<{
    theme: Theme;
    icon?: React.ReactNode;
    disabled?: boolean;
    title?: string | React.ReactNode;
}, {
    selected: React.ReactNode | null;
    isModalOpened: boolean;
}> {
    state: {
        selected: null;
        isModalOpened: boolean;
    };
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    private selectFirst;
    private openModal;
    handleClickOutside(): void;
    private wrapOnClick;
    render(): JSX.Element;
}
declare const _default: typeof Dropdown;
export default _default;
